package app.ara.activities;

import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.support.v4.app.ActivityCompat;
import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.widget.TextView;

import app.ara.utils.files.FileManager;

public class PermissionActivity extends AppCompatActivity {
    private int m_nPerm=3;
    static final int PERM_FINE_LOCATION=1337;
    static final int PERM_CAMERA=1338;
    static final int PERM_COARSE_LOCATION=1339;
    protected TextView mText;

    private static final String DISCLAMER="<h1>Attention :</h1> \n" +
            "<h2>Ce jeu nécessite des déplacement en ville.</h2>\n" +
            "Veillez à respecter les règles suivantes : <br>\n" +
            "Les enfants doivent être accompagnés d’un adulte. <br>\n" +
            "Faites attention à la circulation. <br>\n" +
            "Soyez vigilant sur l’environnement (altitude, marches, etc). <br>\n" +
            "Ne jouer pas en conduisant. <br>\n" +
            "\n" +
            "<h3>Restez toujours conscient de votre environnement.</h3>\n" +
            "<h3>En continuant, vous convenez que l’utilisation du jeu est à vos propres risques et responsabilités.</h3>";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_permission);
        //FontChangeCrawler.setFont(this);

        FileManager.init(this);
        mText = (TextView) findViewById(R.id.disclamer);
        if (android.os.Build.VERSION.SDK_INT < android.os.Build.VERSION_CODES.N) {
            mText.setText(Html.fromHtml(DISCLAMER));
        }else
        {
            mText.setText(Html.fromHtml(DISCLAMER, Html.FROM_HTML_MODE_COMPACT));
        }



        if (ContextCompat.checkSelfPermission(this,   Manifest.permission.ACCESS_FINE_LOCATION)
                != PackageManager.PERMISSION_GRANTED) {
            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_FINE_LOCATION},   PERM_FINE_LOCATION);
        } else m_nPerm--;


        if (ContextCompat.checkSelfPermission(this,   Manifest.permission.CAMERA)
                != PackageManager.PERMISSION_GRANTED) {
            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.CAMERA}, PERM_CAMERA);
        } else m_nPerm--;


        if (ContextCompat.checkSelfPermission(this,   Manifest.permission.ACCESS_COARSE_LOCATION)
                != PackageManager.PERMISSION_GRANTED) {
            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_COARSE_LOCATION}, PERM_COARSE_LOCATION);
        } else m_nPerm--;



    }



    public void onRequestPermissionsResult(int requestCode,
                                           String permissions[], int[] grantResults) {
        switch (requestCode) {
            case PERM_FINE_LOCATION:
                if (grantResults.length > 0  && grantResults[0] == PackageManager.PERMISSION_GRANTED)
                    m_nPerm--;
                else finish();
                break;
            case PERM_CAMERA:
                if (grantResults.length > 0  && grantResults[0] == PackageManager.PERMISSION_GRANTED)
                    m_nPerm--;
                else finish();
                break;
            case PERM_COARSE_LOCATION:
                if (grantResults.length > 0  && grantResults[0] == PackageManager.PERMISSION_GRANTED)
                    m_nPerm--;
                else finish();
                break;
        }


    }

    public void onUnderstood(View v)
    {
        if(m_nPerm==0)
        {
            Intent intent = new Intent(this, SEMenuActivity.class);
            startActivity(intent);
        }
    }

}
