package app.ara.ui;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.List;

import app.ara.activities.R;
import app.ara.utils.AndroidResources;
import app.ara.utils.FontChangeCrawler;
import app.ara.utils.app.brest.game.Resource;

/**
 * Created by ptitcois on 22/08/16.
 */
public class ResourceArrayAdapter extends ArrayAdapter<Object> implements  AdapterView.OnItemClickListener{
    protected Context mContext;
    protected List<Object> mList;
    public ResourceArrayAdapter(Context context, int resource, List<Object> objects) {
        super(context, R.layout.array_layout, objects);
        mContext=context;
        mList=objects;

    }

    @Override
    public View getView(int position, View convertView,
                        ViewGroup parent) {


        if(convertView == null){
            //Nous récupérons notre row_tweet via un LayoutInflater,
            //qui va charger un layout xml dans un objet View
            convertView = LayoutInflater.from(getContext()).inflate(R.layout.array_layout, parent, false);
        }

        TextView textView=(TextView) convertView.findViewById(R.id.textObject);

        textView.setTextColor(Color.rgb(0, 0, 0));

        if(mList.get(position) instanceof String){
            textView.setTextSize(30);
            String title  = (String) mList.get(position);
            textView.setText(title);
            //textView.setTypeface(null, Typeface.BOLD);
        }else{
            textView.setTextSize(22);
            final Resource re  = (Resource) mList.get(position);
            //textView.setTypeface(null, Typeface.NORMAL);
            textView.setText(re.getTitle());
            convertView.setOnClickListener(new View.OnClickListener(){

                @Override
                public void onClick(View view) {
                    Intent intent = AndroidResources.getViewerIntent(mContext, re);
                    mContext.startActivity(intent);
                }
            });

        }
        FontChangeCrawler.setFont(textView, mContext);


        //nous renvoyons notre vue à l'adapter, afin qu'il l'affiche
        //et qu'il puisse la mettre à recycler lorsqu'elle sera sortie de l'écran
        return convertView;


    }

    @Override
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
        Log.e("__________", "OK");
        if (adapterView.getItemAtPosition(i) instanceof Resource) {
            Resource item = (Resource) adapterView.getItemAtPosition(i);
            Log.e("__________", "ItemClick: "+i+" "+l+ " Ressource");

            Intent intent =AndroidResources.getViewerIntent(mContext, item);
            mContext.startActivity(intent);

        }else if(adapterView.getItemAtPosition(i) instanceof String)
        {
            Log.e("__________", "ItemClick: "+i+" "+l+ " String");

        }
        else
        {

            Log.e("__________", "ItemClick: "+i+" "+l+ " Autre");
        }
    }
}
